Ruby Agent 3.9.1.236

Released on: 
Thursday, July 31, 2014 - 09:33
End of Life

The end-of-life date for this agent version is July 29, 2019. To update to the latest agent version, see Update the agent. For more information, see End-of-life policy.

Notes

  • Ruby 1.8.7 users: upgrade or add JSON gem now

    Ruby 1.8.7 is end-of-lifed, and not receiving security updates, so we strongly encourage all users with apps on 1.8.7 to upgrade.

    If you're not able to upgrade yet, be aware that a coming release of the Ruby agent will require users of Ruby 1.8.7 to have the 'json' gem available within their applications in order to continue sending data to New Relic.

  • Support for new Cross Application Trace view

    This release enhances cross application tracing with a visualization of the cross application calls that a specific Transaction Trace is involved in. The new visualization helps you spot bottlenecks in external services within Transaction Traces and gives you an end-to-end understanding of how the transaction trace is used by other applications and services. This leads to faster problem diagnosis and better collaboration across teams. All agents involved in the cross application communication must be upgraded to see the complete graph. You can view cross application traces from in the Transaction Trace drill-down.

  • High security mode v2

    The Ruby agent now supports v2 of New Relic's high security mode. To enable it, you must add 'high_security: true' to your newrelic.yml file, and enable high security mode through the New Relic web interface. The local agent setting must be in agreement with the server-side setting, or the agent will shut down and no data will be collected.

    Customers who already had the server-side high security mode setting enabled must add 'high_security: true' to their agent configuration files when upgrading to this release.

    For details on high security mode, see: http://docs.newrelic.com/docs/accounts-partnerships/accounts/security/hi...

  • Improved memcached instrumentation

    More accurate instrumentation for the 'cas' command when using version 1.8.0 or higher of the memcached gem. Previous versions of the agent would count all time spent in the block given to 'cas' as memcache time, but 1.8.0 or higher allows us to more accurately measure just the time spent talking to memcache.

    Many thanks to Francis Bogsanyi for contributing this change!

  • Improved support for Rails apps launched from outside the app root directory

    The Ruby agent attempts to resolve the location of its configuration file at runtime relative to the directory that the host process is started from.

    In cases where the host process was started from outside of the application's root directory (for example, if the process is started from from '/'), it will now also attempt to locate its configuration file based on the value of Rails.root for Rails applications.

  • Better compatibility with ActionController::Live

    Browser Application Monitoring auto-injection can cause request failures under certain circumstances when used with ActionController::Live, so the agent will now automatically detect usage of ActionController::Live, and not attempt auto-injection for those requests (even if auto-instrumentation is otherwise enabled).

    Many thanks to Rodrigo Rosenfeld Rosas for help diagnosing this issue!

  • Fix for occasional spikes in external services time

    Certain kinds of failures during HTTP requests made by an application could have previously resulted in the Ruby agent reporting erroneously large amounts of time spent in outgoing HTTP requests. This issue manifested most obviously in spikes on the 'Web external' band on the main overview graph. This issue has now been fixed.

  • Fix 'rake newrelic:install' for Rails 4 applications

    The newrelic:install rake task was previously not working for Rails 4 applications and has been fixed.

    Thanks to Murahashi Sanemat Kenichi for contributing this fix!